Bug 1204855 (CVE-2015-2778) - CVE-2015-2778 quassel: core crash caused by sending an overlength CTCP query containing only multibyte characters.
Summary: CVE-2015-2778 quassel: core crash caused by sending an overlength CTCP query ...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-2778
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1204856 1204857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 16:02 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:40:26 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-23 16:02:11 UTC
The following commit fixed a denial of service in quassel:
https://github.com/quassel/quassel/commit/b5e38970ffd55e2dd9f706ce75af9a8d7730b1b8

It allows a connected client to cause a core crash by sending a CTCP
request which would be too long and multibyte.

This is mitigated by the fact that it requires an authed user.

CVE request: http://seclists.org/oss-sec/2015/q1/903

Comment 1 Vasyl Kaigorodov 2015-03-23 16:02:37 UTC
Created quassel tracking bugs for this issue:

Affects: fedora-all [bug 1204856]
Affects: epel-all [bug 1204857]

Comment 2 Product Security DevOps Team 2019-06-08 02:40:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.